<?php

	echo '<div id="content_wall"><div class="wall">
	<div class="title"><div class="right">'.$arr_group['count_wall'].'</div>'.lang('Стена','Стіна').'</div>';
	
	if (in_array($user_id, explode("||", substr($arr_group['admins'], 1, -1)))) $access_user = 1;
	else if (in_array($user_id, explode("||", substr($arr_group['moders'], 1, -1)))) $access_user = 2;
	
	if ($arr_group['count_wall'] > 0)
	{	
		$cp = ceil($arr_group['count_wall']/10);
		$p = (isset($_GET['p']) and is_numeric($_GET['p']) and $_GET['p']>1 and $_GET['p']<=$cp) ? $_GET['p'] : 1;
		$start = $p*10-10;
		$res = mysql_query("SELECT * FROM `groups_wall` WHERE `wall_id` = '".$id."' ORDER by `time` DESC LIMIT $start, 10");
		while ($arr = mysql_fetch_array($res))
		{
			echo group_wall_post($arr);
			if ($user_id == $arr['user_id'] || $access_user > 0)
			{
				echo '<div id="block_menu_'.$arr['id'].'" class="title display_none">
				<a class="title_a_hover" id="bg_orange" href="'.URL.'/groups/?id='.$id.'&del_post='.$arr['id'].'" onclick="Form.delWall(this.href); return false">'.lang('Удалить','Видалити').'</a>';
				if ($user_id != $arr['user_id'] && $access_user > 0 && !in_array($arr['user_id'], explode("||", substr($arr_group['admins'], 1, -1))) && !in_array($arr['user_id'], explode("||", substr($arr_group['moders'], 1, -1))) && !in_array($arr['user_id'], explode("||", substr($arr_group['banlist'], 1, -1)))) echo ' <a class="title_a_hover" id="bg_red" href="'.URL.'/groups/adm/ban.php?id='.$id.'&ban_id='.$arr['user_id'].'" onclick="Page.Go(this.href); return false">'.lang('Заблокировать','Заблокувати').'</a>';
				if ($user_id != $arr['user_id'] && $access_user == 1 && !in_array($arr['user_id'], explode("||", substr($arr_group['blacklist'], 1, -1)))) echo ' <a class="title_a_hover" id="bg_black" href="'.URL.'/groups/adm/users.php?id='.$id.'&blacklist='.$arr['user_id'].'" onclick="Page.Go(this.href); return false">'.lang('Черный список','Чорний список').'</a>';
				echo '</div>';
			}
		}
		navi($p,$cp,'/groups/wall/?id='.$id.'&');
	}
	echo '</div></div>';
